Bug 1261855 - /usr/share/nginx/html should be httpd_sys_content_t
/usr/share/nginx/html should be httpd_sys_content_t
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Vit Mojzis
Fedora Extras Quality Assurance
:
Depends On: 1261854
Blocks: 1168968
  Show dependency treegraph
 
Reported: 2015-09-10 06:25 EDT by Jamie Nguyen
Modified: 2015-10-24 08:24 EDT (History)
6 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-152.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-24 08:24:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2015-09-10 06:25:45 EDT
(This bug is identical to https://bugzilla.redhat.com/show_bug.cgi?id=1261854 but to track F23.)

Default html files for nginx are located in /usr/share/nginx/html. Currently fixed by running:

semanage fcontext -a -t httpd_sys_content_t "/usr/share/nginx/html(/.*)?"
Comment 1 Vit Mojzis 2015-10-15 08:42:01 EDT
commit 1717c930e446f88d553250ebaac43f0793980acc
Merge: 2507aa3 b4d4cd4
Author: Lukas Vrabec <wrabcak@users.noreply.github.com>
Date:   Thu Oct 15 13:37:37 2015 +0200

    Merge pull request #50 from vmojzis/f23-contrib
    
    Fix context of "/usr/share/nginx/html". #1261855

commit b4d4cd49d9f67c47ce3a6e4abf9e741036c2c521
Author: Vit Mojzis <vmojzis@redhat.com>
Date:   Thu Oct 15 12:07:27 2015 +0200

    Fix context of "/usr/share/nginx/html". #1261855
Comment 2 Fedora Update System 2015-10-21 07:42:17 EDT
selinux-policy-3.13.1-152.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-456c6b6cb4
Comment 3 Fedora Update System 2015-10-24 08:09:51 EDT
selinux-policy-3.13.1-152.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update selinux-policy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-456c6b6cb4
Comment 4 Fedora Update System 2015-10-24 08:24:13 EDT
selinux-policy-3.13.1-152.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.